//-------------------------------------------------------------------------------------------------
// Concept: Extremely slick rastersplits in 64 bytes
// Prod name: Dieter und Gisela trinken Limonade und Hren Beat
// Code: Cruzer/Camelot
// Released: 2007-06-01
// Asm'ed with: KickAss 2.23
//-------------------------------------------------------------------------------------------------

.var tmp = $ff

.pc = $0801 "Basic"
	.by $0b,$08,$39,$05,$9e,$32,$30,$37,$34

.pc = * "Colors"

.var palette = 7

colors:
.if (palette == 0) {
	.by $00,$00,$00
	.by $09,$0b,$04,$9a,$bf,$47,$c1,$47,$bf,$9a,$04,$0b,$09
}
.if (palette == 1) {
	.by $00,$00,$00
	.by $09,$0b,$04,$9c,$bf,$47,$c1,$47,$bf,$9c,$04,$0b,$09
}
.if (palette == 2) {
	.by $00,$00,$00
	.by $09,$0b,$94,$bc,$4f,$c7,$f1,$c7,$4f,$bc,$94,$0b,$09
}
.if (palette == 3) {
	.by $00,$00,$90
	.by $b9,$4b,$c4,$fc,$7f,$17,$11,$17,$7f,$fc,$c4,$4b,$b9
}
.if (palette == 4) {
	.by $00,$00,$00
	.by $09,$0b,$64,$4c,$af,$f7,$71,$f7,$af,$4c,$64,$0b,$09
}
.if (palette == 5) {
	.by $00,$00,$00
	.by $09,$0b,$64,$4c,$af,$f7,$71,$f7,$af,$4c,$64,$0b,$09
}
.if (palette == 6) {
	.by $a0,$f0,$a0
	.by $29,$0b,$04,$0c,$6f,$e7,$31,$e7,$6f,$0c,$04,$0b,$29
}
.if (palette == 7) {
	.by $00,$00,$00
	.by $06,$0b,$04,$be,$4f,$a7,$f1,$a7,$4f,$be,$04,$0b,$06
}
.if (palette == 8) {
	.by $00,$00,$00
	.by $60,$b0,$40,$eb,$f4,$7a,$1f,$7a,$f4,$eb,$40,$b0,$60
}

.pc = * "Code"

loop: 	
	sei
	lsr $d011
	sta $d020
	lda $d012
	pha
	and #$0f
	sta tmp
	pla
	lsr
	lsr
	adc tmp
	lsr
	lsr
	and #$0f
	tax
	lda colors,x
	sta $d020
	lsr
	lsr
	lsr
	lsr
	bpl loop
